Bug 223701 - New ports: net/mininet net/ryu devel/py-ovs SDN network emulator and dependencies
Summary: New ports: net/mininet net/ryu devel/py-ovs SDN network emulator and dependen...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-16 09:39 UTC by akoshibe
Modified: 2018-07-12 18:13 UTC (History)
3 users (show)

See Also:


Attachments
file.shar (157.91 KB, application/x-shar)
2017-11-16 09:39 UTC, akoshibe
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description akoshibe 2017-11-16 09:39:02 UTC
Created attachment 188042 [details]
file.shar

Mininet is a tool used to emulate software-sefined networks (SDNs) using OS-level/lightweight virtualization.

Attached is the .shar archive for net/mininet and its dependencies:

net/ryu : a modular SDN controller framework
devel/py-ovs : a Python library for working with Open vSwitch
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2018-03-11 04:39:35 UTC
Tested and working for me on head, thank you!
Comment 2 Olivier Cochard freebsd_committer 2018-07-09 15:35:39 UTC
I need this port so I will refresh it, test it on my use case and commit it.

This shar file includes 3 ports:
- net/mininet
- net/ryu
- devel/py-ovs

But the port devel/py-ovs is not referenced on net/mininet neither net/ryu: Which port should run_depends of it ?
Comment 3 akoshibe 2018-07-09 18:24:46 UTC
(In reply to Olivier Cochard from comment #2)

net/ryu depends on devel/py-ovs.

What I failed to mention is that net/ryu is an arbitrary choice out of the several controllers that I could have picked, for controlling OpenvSwitch.
Comment 4 commit-hook freebsd_committer 2018-07-12 08:25:23 UTC
A commit references this bug:

Author: olivier
Date: Thu Jul 12 08:24:51 UTC 2018
New revision: 474491
URL: https://svnweb.freebsd.org/changeset/ports/474491

Log:
  New port: devel/py-ovs, python library for working with Open vSwitch.

  PR:		223701
  Submitted by:	Ayaka Koshibe <akoshibe@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/py-ovs/
  head/devel/py-ovs/Makefile
  head/devel/py-ovs/distinfo
  head/devel/py-ovs/pkg-descr
Comment 5 commit-hook freebsd_committer 2018-07-12 08:30:30 UTC
A commit references this bug:

Author: olivier
Date: Thu Jul 12 08:30:10 UTC 2018
New revision: 474492
URL: https://svnweb.freebsd.org/changeset/ports/474492

Log:
  New port: net/ryu, a component-based Software-defined Networking Framework

  PR:		223701
  Submitted by:	Ayaka Koshibe <akoshibe@gmail.com>

Changes:
  head/net/Makefile
  head/net/ryu/
  head/net/ryu/Makefile
  head/net/ryu/distinfo
  head/net/ryu/pkg-descr
Comment 6 commit-hook freebsd_committer 2018-07-12 08:38:39 UTC
A commit references this bug:

Author: olivier
Date: Thu Jul 12 08:37:36 UTC 2018
New revision: 474493
URL: https://svnweb.freebsd.org/changeset/ports/474493

Log:
  New port: net/mininet, tool to create virtual network, including openflow
  and Software-Defined Networks.
  Notice usage of maintainer's depot including all FreeBSD's patches.

  PR:		223701
  Submitted by:	Ayaka Koshibe <akoshibe@gmail.com>

Changes:
  head/net/Makefile
  head/net/mininet/
  head/net/mininet/Makefile
  head/net/mininet/distinfo
  head/net/mininet/pkg-descr
  head/net/mininet/pkg-message
  head/net/mininet/pkg-plist
Comment 7 Olivier Cochard freebsd_committer 2018-07-12 08:40:03 UTC
All your new ports were committed (with some update & changes).
Thanks for your work!
Comment 8 akoshibe 2018-07-12 18:13:10 UTC
(In reply to Olivier Cochard from comment #7)

Thanks for importing them!